/*  ___   ___  ___  _   _  ___   ___   ____ ___  ____  
 * / _ \ /___)/ _ \| | | |/ _ \ / _ \ / ___) _ \|    \ 
 *| |_| |___ | |_| | |_| | |_| | |_| ( (__| |_| | | | |
 * \___/(___/ \___/ \__  |\___/ \___(_)____)___/|_|_|_|
 *                  (____/ 
 * OSOYOO 16 in 1 Sensor Kit Tutorial Lesson 4: Gas sensor
 * Tutorial URL https://osoyoo.com/2024/08/01/dkhk100200lesson-4-mq-2-smoke-sensor-for-arduino/
 * CopyRight www.osoyoo.com

 * This project will show you how to make Osoyoo robot car in auto drive mode and avoid obstacles
 *   
 * 
 */
const int sensorPin= 0;
const int buzzerPin= 13;
int smoke_level;

void setup() {
    Serial.begin(9600); //sets the baud rate for data transfer in bits/second
    pinMode(sensorPin, INPUT);//the smoke sensor will be an input to the arduino
    pinMode(buzzerPin, OUTPUT);//the buzzer serves an output in the circuit
}

void loop() {
    smoke_level= analogRead(sensorPin); //arduino reads the value from the smoke sensor
    Serial.println(smoke_level);//prints just for debugging purposes, to see what values the sensor is picking up
    if(smoke_level > 100){ //if smoke level is greater than 100, the buzzer will go off
        digitalWrite(buzzerPin, LOW);//this is negative-trigger buzzer
    }
    else{
        digitalWrite(buzzerPin, HIGH);//negative-trigger buzzer will stop alarm in HIGH
    }
}